Subject: Re: [Teas] Status update on draft-ietf-teas-yang-sr-te-topo

From: Xufeng Liu <[email-masked]>
Date: Wed, 24 Feb 2021 12:07:47 -0500

Hi Tom,

Thank you much for the additional comments. We have posted an updated
version https://tools.ietf.org/html/draft-ietf-teas-yang-sr-te-topo-09.
Section 2.2 has been reworded. I'm wondering if it is any better.

Best regards,
- Xufeng

On Fri, Nov 13, 2020 at 7:34 AM tom petch <[email-masked]> wrote:

> From: Teas <[email-masked]> on behalf of Xufeng Liu <
> [email-masked]>
> Sent: 13 November 2020 01:04
>
> Current Status:
>
>   *  Received further valuable comments from Tom Petch.
>   *  The updated revision -08 was posted on Nov 1, 2020:
>      - Addressed some review comments from Tom
>      - Updated the reference to the latested draft-ietf-spring-sr-yang
>
> Open Issues:
>
>   *  Authors working on addressing Tom’s comments.
>
> <tp>
> And here is another comment from Tom.
>
> I can understand the detail of this I-D but have lost the big picture.  I
> can see
> sr-mpls-topology
> I cannot see anything te about it apart from the title
> s.2.2 mentions l3-te-toology but gives no reference - ok I can find it but
> you need a reference.  What kind depends on what s.2.2 is trying to say.
> The diagrams shows SR MPLS TE Topology but with no module name suggesting
> that there is no such module.  It talks of multiple inheritance - which is
> slightly odd since YANG rejected the concept of inheritance but no matter -
> but does not import from l3-te-topology so that module seems irrelevant to
> this I-D and what is s.2.2 doing in this I-D?
> I am lost, unable to see the wood for the trees to use the English
> metaphor.
>
[Xufeng]: Re-did Sec 2.2 to see if the description is any better.

> Tom Petch
>
>
> Next Steps:
>
>   *  Follow-up with Tom and resolve comments.
>   *  Welcome further reviews and suggestions.
>   *  Keep synchronized with draft-ietf-spring-sr-yang, which
>      provides several shared groupings, including srgb and srlb.
>   *  Working Group Last Call after completing the above.
>
> Thanks,
> - Xufeng
>
>